package com.game.common.utils;


import cn.hutool.core.util.NumberUtil;

public class MoneyUtils {

    /**
     * 金额转换  （正数转负数，负数转正数）
     * @param coin
     * @return
     */
    public static double getConsumeCoin(double coin) {
        return NumberUtil.mul(coin, -1);
    }

    /**
     * 百分数 转换成 小数  保留两位小数
     *
     * @param perc
     * @return
     */
    public static double parsePerc2(double perc) {
        return NumberUtil.div(perc, 100, 2);
    }
    
    public static double parsePerc4(double perc) {
        return NumberUtil.div(perc, 100, 4);
    }

    /**
     * 计算需要扣除多少提现金额
     * */
    public static double consumeCash(double coin,double coinCash,double consumeUserCoin) {
        if(consumeUserCoin > 0){
            return consumeUserCoin; //非扣款则添加
        }
        if(coinCash < 1){
            return 0;
        }
//        if(consumeUserCoin < 0){
        consumeUserCoin = consumeUserCoin * -1; //转为为正数
//        }
        if(coin - coinCash == 0){
            return consumeUserCoin; //可提现等于总额则同步扣除
        }else if(coinCash < consumeUserCoin){
            return coinCash; //提现余额不足抵扣 则全扣除
        }
        double res = consumeUserCoin - (coin - coinCash);
        return res*-1; //转回负数
    }
}
